/* Generic ative support for Linux
   Copyright (C) 1999 Free Software Foundation, Inc.

This file is part of GDB.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

#include <sys/utsname.h>

extern int linux_has_rtsig;
extern const char *linux_kernel_has_rtsig;

void
_initialize_linux_nat ()
{
  struct utsname name;

  linux_kernel_has_rtsig = "2.1.70";
#if defined __GLIBC__ && ((__GLIBC__ == 2 && __GLIBC_MINOR__ >= 1) || __GLIBC__ > 2) 

  linux_has_rtsig = uname (&name) == 0
		    && strverscmp (name.release,
				   linux_kernel_has_rtsig) >= 0;
#else
  /* This is a kludge. It won't work very well. Use glibc 2.1 or newer 
     instead. */
  linux_has_rtsig = uname (&name) == 0
			&& name.release [0] >= '2'
			&& name.release [1] == '.'
			&& name.release [2] >= '2';
#endif
}
